Bug 866745 - SELinux is preventing /usr/sbin/rpcbind from 'open' accesses on the file /etc/passwd.
SELinux is preventing /usr/sbin/rpcbind from 'open' accesses on the file /etc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:d5e1cefda82477736ce061eca09...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 23:24 EDT by Daniel Belton
Modified: 2012-12-20 10:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:24:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-15 23:24 EDT, Daniel Belton
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-15 23:24 EDT, Daniel Belton
no flags Details

  None (edit)
Description Daniel Belton 2012-10-15 23:24:10 EDT
Description of problem:
Get SELinux error upon boot when trying to start rpcbind

Additional info:
libreport version: 2.0.16
kernel:         3.6.1-1.fc18.x86_64

description:
:SELinux is preventing /usr/sbin/rpcbind from 'open' accesses on the file /etc/passwd.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that rpcbind should be allowed open access on the passwd file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep rpcbind /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:rpcbind_t:s0
:Target Context                system_u:object_r:passwd_file_t:s0
:Target Objects                /etc/passwd [ file ]
:Source                        rpcbind
:Source Path                   /usr/sbin/rpcbind
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           rpcbind-0.2.0-18.fc18.x86_64
:Target RPM Packages           setup-2.8.57-1.fc18.noarch
:Policy RPM                    selinux-policy-3.11.1-36.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.1-1.fc18.x86_64 #1 SMP Mon Oct
:                              8 17:19:09 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-10-15 22:18:10 CDT
:Last Seen                     2012-10-15 22:18:10 CDT
:Local ID                      a64dbb20-0ffc-4b2f-91fa-746e77292fec
:
:Raw Audit Messages
:type=AVC msg=audit(1350357490.806:262): avc:  denied  { open } for  pid=887 comm="rpcbind" path="/etc/passwd" dev="sdb2" ino=1989834 scontext=system_u:system_r:rpcbind_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1350357490.806:262): arch=x86_64 syscall=open success=no exit=EACCES a0=7f136b3026ea a1=80000 a2=1b6 a3=238 items=0 ppid=1 pid=887 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=rpcbind exe=/usr/sbin/rpcbind subj=system_u:system_r:rpcbind_t:s0 key=(null)
:
:Hash: rpcbind,rpcbind_t,passwd_file_t,file,open
:
:audit2allow
:
:#============= rpcbind_t ==============
:#!!!! This avc is allowed in the current policy
:
:allow rpcbind_t passwd_file_t:file open;
:
:audit2allow -R
:
:#============= rpcbind_t ==============
:#!!!! This avc is allowed in the current policy
:
:allow rpcbind_t passwd_file_t:file open;
:
Comment 1 Daniel Belton 2012-10-15 23:24:14 EDT
Created attachment 627925 [details]
File: type
Comment 2 Daniel Belton 2012-10-15 23:24:15 EDT
Created attachment 627926 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-10-16 08:05:23 EDT
Fixed in selinux-policy-3.11.1-40.fc18.noarch
Comment 4 Fedora Update System 2012-10-23 16:35:18 EDT
selinux-policy-3.11.1-43.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-43.fc18
Comment 5 Fedora Update System 2012-10-26 11:38:16 EDT
selinux-policy-3.11.1-46.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-46.fc18
Comment 6 Fedora Update System 2012-10-26 15:27:50 EDT
Package selinux-policy-3.11.1-46.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-46.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16862/selinux-policy-3.11.1-46.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 10:24:37 EST
selinux-policy-3.11.1-46.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.